<?
//BOT FOR WICKED QUIZ

//GET TIME
$fd = fopen("bots/second_bot/time.dat", "r");
if(!$fd) return;
$buff_time = intval(fgets($fd));
fclose($fd);

//GET ACTION
$fd = fopen("bots/second_bot/action.dat", "r");
if(!$fd) $buff_action = "unknown";
else $buff_action = fgets($fd);
fclose($fd);

if($buff_time < time() && $buff_action != 0)
{
if($buff_action != 0) $action = 3;
}
else
{
if($buff_action == 0 && ($buff_time - time() < 0)) $action = 0;
if($buff_action == 1 && ($buff_time - time() < 135)) $action = 1;
if($buff_action == 2 && ($buff_time - time() < 75)) $action = 2;
if($buff_action == 3 && ($buff_time - time() < 15)) $action = 3;
}

//FIRST START
if($buff_time == 0) $action = 0;

switch($action)
{
//NEW QUESTION
case '0':
$sql = mysql_query("SELECT * FROM `chat_questions` ORDER BY RAND() LIMIT 1;");
$ques_arr = mysql_fetch_array($sql);
$question = $ques_arr['question'];
$answer = $ques_arr['answer'];
$tran_answer = $ques_arr['translit'];
$answer = iconv('utf-8', 'windows-1251', $answer);
$length = strlen($answer);
$answer = iconv('windows-1251', 'utf-8', $answer);




$vst = rand(25,31);
$vst = str_replace("25","$question(<b>".($length + rand(1, 8))."</b> букв, да не, напиздил <b>".$length."</b> или <b>".rand(2, 10)."</b>, Хуй знает)",$vst);
$vst = str_replace("26","$question(<b>".$length."</b> букв)",$vst);
$vst = str_replace("27","$question(<b>3 456</b> букв гг. Пизжу. Не помню я)",$vst);
$vst = str_replace("28","$question(нихуя не скажу...)",$vst);
$vst = str_replace("29","$question(<b>".$length."</b> букв. Наверное...)",$vst);
$vst = str_replace("30","$question(сами считайте гг...)",$vst);
$vst = str_replace("31","$question(букв мало. Или много. Короче похуй.)",$vst);


//$question = "$question (".($length + 2)." букв, да не, напиздил $length букв или ".rand(2, 8).", не помню)";

mysql_query("INSERT INTO `chat".$rid."` VALUES(0, '4', '".$bots[2]."', '".$vst."', '0', '".date("H:i")."', ".time().",0);");
mysql_query("UPDATE `chat_users` SET `posts` = `posts` + 1 WHERE `id` = 2;");

$fd = fopen("bots/second_bot/question.dat", "w");
flock($fd, LOCK_EX);
$puts = fputs($fd, $question);
flock($fd, LOCK_UN);
fclose($fd);

$fd = fopen("bots/second_bot/answer.dat", "w");
flock($fd, LOCK_EX);
$puts = fputs($fd, $answer);
flock($fd, LOCK_UN);
fclose($fd);

$fd = fopen("bots/second_bot/translit.dat", "w");
flock($fd, LOCK_EX);
$puts = fputs($fd, $tran_answer);
flock($fd, LOCK_UN);
fclose($fd);

$fd = fopen("bots/second_bot/action.dat", "w");
flock($fd, LOCK_EX);
$puts = fputs($fd, "1");
flock($fd, LOCK_UN);
fclose($fd);

$fd = fopen("bots/second_bot/time.dat", "w");
flock($fd, LOCK_EX);
$puts = fputs($fd, (time() + 180 + $intervals[1])); //TIME FOR ANSWER
flock($fd, LOCK_UN);
fclose($fd);
break;

//FIRST HELP
case '1':
$fd = fopen("bots/second_bot/answer.dat", "r");
$answer = fgets($fd);
fclose($fd);

$answer = iconv('utf-8', 'windows-1251', $answer);
$help = substr($answer, 0, 1);
$answer = iconv('windows-1251', 'utf-8', $answer);
$help = iconv('windows-1251', 'utf-8', $help);

 $vp = rand(1,12);

  $vp = str_replace("1","Пинок под срач всем тупорылым ублюдосинам: <b>".$help."...</b>",$vp);
$vp = str_replace("2","Подсказка всем конченным долбоёбищам: <b>".$help."...</b>",$vp);
$vp = str_replace("3","Хуй с вами, мудозвоны, ловите подсказку: <b>".$help."...</b>",$vp);
$vp = str_replace("4","Ебанутые вы. Для дебилов охуевших - подсказка: <b>".$help."...</b>",$vp);
$vp = str_replace("5","Подсказка: <b>".$help."...</b> Слышите, бляди тупорылые? <b>".$help."...</b>! Еще повторить? ! Теперь дошло, дебилы??",$vp);
$vp = str_replace("6","Подсказка нах: <b>".$help."...</b>",$vp);
$vp = str_replace("7","Подъёбка: <b>".$help."...</b>",$vp);
$vp = str_replace("8","Че, дрочите, слабоумные? Вот подсказка: <b>".$help."...</b>",$vp);
$vp = str_replace("9","Подсказку захотели? А отсосать?",$vp);
$vp = str_replace("10","Че бля подсказку хуйнуть? А без нее сосете? Тогда сосите с ней: <b>".$help."...</b>",$vp);
$vp = str_replace("11","Вы меня заебали! Нихуя вам подсказывать не буду!",$vp);
$vp = str_replace("12","сколько букв не помню, но дохуя.",$vp);





mysql_query("INSERT INTO `chat".$rid."` VALUES(0, '4', '".$bots[2]."', '".$vp."', '0', '".date("H:i")."', ".time().",0);");
mysql_query("UPDATE `chat_users` SET `posts` = `posts` + 1 WHERE `id` = 2;");

$fd = fopen("bots/second_bot/action.dat", "w");
flock($fd, LOCK_EX);
$puts = fputs($fd, "2");
flock($fd, LOCK_UN);
fclose($fd);
break;

//SECOND HELP
case '2':
$fd = fopen("bots/second_bot/answer.dat", "r");
$answer = fgets($fd);
fclose($fd);

$answer = iconv('utf-8', 'windows-1251', $answer);
$help = substr($answer, 0, 3);
$answer = iconv('windows-1251', 'utf-8', $answer);
$help = iconv('windows-1251', 'utf-8', $help);


 $vp = rand(1,12);
$vp = str_replace("1","Пинок под срач всем тупорылым ублюдосинам: <b>".$help."...</b>",$vp);
$vp = str_replace("2","Подсказка всем конченным долбоёбищам: <b>".$help."...</b>",$vp);
$vp = str_replace("3","Хуй с вами, мудозвоны, ловите подсказку: <b>".$help."...</b>",$vp);
$vp = str_replace("4","Ебанутые вы. Для дебилов охуевших - подсказка: <b>".$help."...</b>",$vp);
$vp = str_replace("5","Подсказка: <b>".$help."...</b> Слышите, бляди тупорылые? <b>".$help."...</b>! Еще повторить? ! Теперь дошло, дебилы??",$vp);
$vp = str_replace("6","Подсказка нах: <b>".$help."...</b>",$vp);
$vp = str_replace("7","Подъёбка: <b>".$help."...</b>",$vp);
$vp = str_replace("8","Че, дрочите, слабоумные? Вот подсказка: <b>".$help."...</b>",$vp);
$vp = str_replace("9","Подсказку захотели? А отсосать?",$vp);
$vp = str_replace("10","Че бля подсказку хуйнуть? А без нее сосете? Тогда сосите с ней: <b>".$help."...</b>",$vp);
$vp = str_replace("11","Вы меня заебали! Нихуя вам подсказывать не буду!",$vp);
$vp = str_replace("12","сколько букв не помню, но дохуя.",$vp);



mysql_query("INSERT INTO `chat".$rid."` VALUES(0, '4', '".$bots[2]."', '".$vp."', '0', '".date("H:i")."', ".time().",0);");
mysql_query("UPDATE `chat_users` SET `posts` = `posts` + 1 WHERE `id` = 2;");

$fd = fopen("bots/second_bot/action.dat", "w");
flock($fd, LOCK_EX);
$puts = fputs($fd, "3");
flock($fd, LOCK_UN);
fclose($fd);
break;

//THE ANSWER WAS NOT
case '3':
$fd = fopen("bots/second_bot/answer.dat", "r");
$answer = fgets($fd);
fclose($fd);

$message = rand(1,9);
$message = str_replace("1","Отсосите, чмошники! Уебывайте не дожидаясь следующего вопроса.",$message);
$message = str_replace("2","Проебали вы время, дуболомы! Ждите следующего заёба.",$message);
$message = str_replace("3","И снова победила тупость печальных мудозвонов, называющих себя знатоками...",$message);
$message = str_replace("4","Время вышло долбоёбы. Идите книги читать бля...",$message);
$message = str_replace("5","И снова нихуя не знаете. Вас учили только хуй сосать?",$message);
$message = str_replace("6","Время истекло. следующий вопрос через ".$interval.".",$message);
$message = str_replace("7","Нету ответа? Нету! Куриные мозги местных уебков расплавились и завоняли. Пиздец.",$message);
$message = str_replace("8","Ни один пидор не дал правильного ответа. Вы посылаетесь нахуй.",$message);
$message = str_replace("9","Время истекло, кретины! А нужно было сказать: <b>$answer</b>. Идиоты, задам следующий вопрос через ".$intervals[1]." секунд!",$message);



mysql_query("INSERT INTO `chat".$rid."` VALUES(0, '4', '".$bots[2]."', '".$message."', '0', '".date("H:i")."', ".time().",0);");
mysql_query("UPDATE `chat_users` SET `posts` = `posts` + 1 WHERE `id` = 2;");

$fd = fopen("bots/second_bot/time.dat", "w");
flock($fd, LOCK_EX);
$puts = fputs($fd, (time() + $intervals[1])); //NEXT QUESTION
flock($fd, LOCK_UN);
fclose($fd);

$fd = fopen("bots/second_bot/action.dat", "w");
flock($fd, LOCK_EX);
$puts = fputs($fd, "0");
flock($fd, LOCK_UN);
fclose($fd);
break;
}
?>